The application surface defines the following object types:

Surface

Each type is accompanied with alphabetically sorted lists of properties and public methods, both own and inherited from parent types. The items are links to the detailed descriptions.

Underlined is the default type for this application.

The methods inherited from Poly::Object are described on a separate page, as they are only needed for advanced scripting.

Surface
A polyhedral Surface
properties:

DUAL_GRAPH | GEOMETRIC_REALIZATION | NEIGHBOR_FACETS_CYCLIC
EULER_CHARACTERISTIC | GRAPH | N_FACETS
F2_VECTOR | HASSE_DIAGRAM | N_VERTICES
FACETS | MORSE_MATCHING | POLYGON_SIZES
FACETS_CYCLIC | MORSE_MATCHING_CRITICAL_FACES | ROTATION_SCHEME
FTV_CYCLIC | MORSE_MATCHING_CRITICAL_FACE_VECTOR | VERTEX_DEGREES
F_VECTOR | MORSE_MATCHING_N_CRITICAL_FACES | VERTEX_LABELS
GENUS | MORSE_MATCHING_SIZE | VERTEX_SIZES

methods:

VISUAL | VISUAL_FACE_LATTICE